Subject: Re: bug#74785: 27.1; Fill-paragraph in RST mode does not respect line blocks

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 13:50:39 +0200

Ping! Stefan Merten, did you have time to have another look?

> From: Stefan Merten <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, James Cloos <[email-masked]>,
>     [email-masked], [email-masked]
> Comments: In-reply-to Stefan Monnier <[email-masked]>
>    message dated "Tue, 17 Dec 2024 12:07:08 -0500."
> Date: Mon, 23 Dec 2024 17:50:48 +0100
> 
> Hi guys!
> 
> 6 days ago Stefan Monnier wrote:
> >> But that bug is about message-mode, not about rst-mode, so I'm not
> >> sure it is the same problem.
> > 
> > It's not (that bug was about a prefix shared by lines of a paragraph,
> > whereas this bug is about a prefix which starts a new paragraph).
> 
> Sorry, but it's not that simple. The syntax of reStructuredText is
> pretty tricky and it needs lots of good ideas to handle it. But it's
> nice to write and read - and that's is why it IMHO is still a
> worthwhile alternative.
> 
> If it would be as simple as you suggest, I would have built it in from
> the start. There is a reason for not doing it. Indeed line blocks were
> at the end of my list of supported reST features because I think they
> are used rarely.
> 
> The function `rst-line-tabs' has a FIXME comment:
> 
>   ;; FIXME: Must consider other tabs:
>   ;;        * Line blocks
>   ;;        * Definition lists
>   ;;        * Option lists
> 
> I guess the real problem is in that second line, that line blocks are
> not yet supported.
> 
> I'll look into this.
> 
> 
> 						Grüße
> 
> 						Stefan
> 
>